fit_gsl.cpp File Reference
`#include "fit_gsl.h"`
`#include <MyParser.h>`
`#include "NonLinearFit.h"`
`#include <math.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <stddef.h>`
`#include <QMessageBox>`
`#include <gsl/gsl_blas.h>`
`#include <gsl/gsl_math.h>`

## Functions

double | boltzmann_d (const gsl_vector *x, void *params)
int | boltzmann_df (const gsl_vector *x, void *params, gsl_matrix *J)
int | boltzmann_f (const gsl_vector *x, void *params, gsl_vector *f)
int | boltzmann_fdf (const gsl_vector *x, void *params, gsl_vector *f, gsl_matrix *J)
double | exp_d (const gsl_vector *x, void *params)
int | exp_df (const gsl_vector *x, void *params, gsl_matrix *J)
int | exp_f (const gsl_vector *x, void *params, gsl_vector *f)
int | exp_fdf (const gsl_vector *x, void *params, gsl_vector *f, gsl_matrix *J)
double | expd2_d (const gsl_vector *x, void *params)
int | expd2_df (const gsl_vector *x, void *params, gsl_matrix *J)
int | expd2_f (const gsl_vector *x, void *params, gsl_vector *f)
int | expd2_fdf (const gsl_vector *x, void *params, gsl_vector *f, gsl_matrix *J)
double | expd3_d (const gsl_vector *x, void *params)
int | expd3_df (const gsl_vector *x, void *params, gsl_matrix *J)
int | expd3_f (const gsl_vector *x, void *params, gsl_vector *f)
int | expd3_fdf (const gsl_vector *x, void *params, gsl_vector *f, gsl_matrix *J)
double | gauss_d (const gsl_vector *x, void *params)
int | gauss_df (const gsl_vector *x, void *params, gsl_matrix *J)
int | gauss_f (const gsl_vector *x, void *params, gsl_vector *f)
int | gauss_fdf (const gsl_vector *x, void *params, gsl_vector *f, gsl_matrix *J)
double | gauss_multi_peak_d (const gsl_vector *x, void *params)
int | gauss_multi_peak_df (const gsl_vector *x, void *params, gsl_matrix *J)
int | gauss_multi_peak_f (const gsl_vector *x, void *params, gsl_vector *f)
int | gauss_multi_peak_fdf (const gsl_vector *x, void *params, gsl_vector *f, gsl_matrix *J)
double | logistic_d (const gsl_vector *x, void *params)
int | logistic_df (const gsl_vector *x, void *params, gsl_matrix *J)
int | logistic_f (const gsl_vector *x, void *params, gsl_vector *f)
int | logistic_fdf (const gsl_vector *x, void *params, gsl_vector *f, gsl_matrix *J)
double | lorentz_multi_peak_d (const gsl_vector *x, void *params)
int | lorentz_multi_peak_df (const gsl_vector *x, void *params, gsl_matrix *J)
int | lorentz_multi_peak_f (const gsl_vector *x, void *params, gsl_vector *f)
int | lorentz_multi_peak_fdf (const gsl_vector *x, void *params, gsl_vector *f, gsl_matrix *J)
double | user_d (const gsl_vector *x, void *params)
int | user_df (const gsl_vector *x, void *params, gsl_matrix *J)
int | user_f (const gsl_vector *x, void *params, gsl_vector *f)
int | user_fdf (const gsl_vector *x, void *params, gsl_vector *f, gsl_matrix *J)

## Function Documentation

double boltzmann_d | ( | const gsl_vector * | x,
|  | void * | params
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by SigmoidalFit::init().

int boltzmann_df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_matrix * | J
| ) |  |

References FitData::n, FitData::sigma, and FitData::X.

Referenced by boltzmann_fdf(), and SigmoidalFit::init().

int boltzmann_f | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by boltzmann_fdf(), and SigmoidalFit::init().

int boltzmann_fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f,
|  | gsl_matrix * | J
| ) |  |

References boltzmann_df(), and boltzmann_f().

Referenced by SigmoidalFit::init().

double exp_d | ( | const gsl_vector * | x,
|  | void * | params
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by ExponentialFit::init().

int exp_df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_matrix * | J
| ) |  |

References FitData::n, FitData::sigma, and FitData::X.

Referenced by exp_fdf(), and ExponentialFit::init().

int exp_f | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by exp_fdf(), and ExponentialFit::init().

int exp_fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f,
|  | gsl_matrix * | J
| ) |  |

References exp_df(), and exp_f().

Referenced by ExponentialFit::init().

double expd2_d | ( | const gsl_vector * | x,
|  | void * | params
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by TwoExpFit::init().

int expd2_df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_matrix * | J
| ) |  |

References FitData::n, FitData::sigma, and FitData::X.

Referenced by expd2_fdf(), and TwoExpFit::init().

int expd2_f | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by expd2_fdf(), and TwoExpFit::init().

int expd2_fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f,
|  | gsl_matrix * | J
| ) |  |

References expd2_df(), and expd2_f().

Referenced by TwoExpFit::init().

double expd3_d | ( | const gsl_vector * | x,
|  | void * | params
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by ThreeExpFit::init().

int expd3_df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_matrix * | J
| ) |  |

References FitData::n, FitData::sigma, and FitData::X.

Referenced by expd3_fdf(), and ThreeExpFit::init().

int expd3_f | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by expd3_fdf(), and ThreeExpFit::init().

int expd3_fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f,
|  | gsl_matrix * | J
| ) |  |

References expd3_df(), and expd3_f().

Referenced by ThreeExpFit::init().

double gauss_d | ( | const gsl_vector * | x,
|  | void * | params
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by GaussAmpFit::init().

int gauss_df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_matrix * | J
| ) |  |

References FitData::n, FitData::sigma, and FitData::X.

Referenced by gauss_fdf(), and GaussAmpFit::init().

int gauss_f | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f
| ) |  |

References FitData::n, FitData::sigma, FitData::X, and FitData::Y.

Referenced by gauss_fdf(), and GaussAmpFit::init().

int gauss_fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f,
|  | gsl_matrix * | J
| ) |  |

References gauss_df(), and gauss_f().

Referenced by GaussAmpFit::init().

double gauss_multi_peak_d | ( | const gsl_vector * | x,
|  | void * | params
| ) |  |

References FitData::n, FitData::p, FitData::sigma, FitData::X, and FitData::Y.

Referenced by MultiPeakFit::init().

int gauss_multi_peak_df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_matrix * | J
| ) |  |

References FitData::n, FitData::p, FitData::sigma, and FitData::X.

Referenced by gauss_multi_peak_fdf(), and MultiPeakFit::init().

int gauss_multi_peak_f | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f
| ) |  |

References FitData::n, FitData::p, FitData::sigma, FitData::X, and FitData::Y.

Referenced by gauss_multi_peak_fdf(), and MultiPeakFit::init().

int gauss_multi_peak_fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f,
|  | gsl_matrix * | J
| ) |  |

References gauss_multi_peak_df(), and gauss_multi_peak_f().

Referenced by MultiPeakFit::init().

double logistic_d | ( | const gsl_vector * | x,
|  | void * | params
| ) |  |

References FitData::n, FitData::p, FitData::sigma, FitData::X, and FitData::Y.

Referenced by LogisticFit::init().

int logistic_df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_matrix * | J
| ) |  |

References FitData::n, FitData::p, FitData::sigma, and FitData::X.

Referenced by LogisticFit::init(), and logistic_fdf().

int logistic_f | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f
| ) |  |

References FitData::n, FitData::p, FitData::sigma, FitData::X, and FitData::Y.

Referenced by LogisticFit::init(), and logistic_fdf().

int logistic_fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f,
|  | gsl_matrix * | J
| ) |  |

References logistic_df(), and logistic_f().

Referenced by LogisticFit::init().

double lorentz_multi_peak_d | ( | const gsl_vector * | x,
|  | void * | params
| ) |  |

References FitData::n, FitData::p, FitData::sigma, FitData::X, and FitData::Y.

Referenced by MultiPeakFit::init().

int lorentz_multi_peak_df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_matrix * | J
| ) |  |

References FitData::n, FitData::p, FitData::sigma, and FitData::X.

Referenced by MultiPeakFit::init(), and lorentz_multi_peak_fdf().

int lorentz_multi_peak_f | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f
| ) |  |

References FitData::n, FitData::p, FitData::sigma, FitData::X, and FitData::Y.

Referenced by MultiPeakFit::init(), and lorentz_multi_peak_fdf().

int lorentz_multi_peak_fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f,
|  | gsl_matrix * | J
| ) |  |

References lorentz_multi_peak_df(), and lorentz_multi_peak_f().

Referenced by MultiPeakFit::init().

double user_d | ( | const gsl_vector * | x,
|  | void * | params
| ) |  |

References NonLinearFit::constants(), MyParser::EvalRemoveSingularity(), FitData::fitter, Fit::formula(), FitData::n, FitData::p, Fit::parameterNames(), FitData::sigma, FitData::X, and FitData::Y.

Referenced by NonLinearFit::init().

int user_df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_matrix * | J
| ) |  |

References NonLinearFit::constants(), MyParser::DiffRemoveSingularity(), FitData::fitter, Fit::formula(), FitData::n, FitData::p, Fit::parameterNames(), FitData::sigma, and FitData::X.

Referenced by NonLinearFit::init(), and user_fdf().

int user_f | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f
| ) |  |

References NonLinearFit::constants(), MyParser::EvalRemoveSingularity(), FitData::fitter, Fit::formula(), FitData::n, FitData::p, Fit::parameterNames(), FitData::sigma, FitData::X, and FitData::Y.

Referenced by NonLinearFit::init(), and user_fdf().

int user_fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | f,
|  | gsl_matrix * | J
| ) |  |

References user_df(), and user_f().

Referenced by NonLinearFit::init().